
\usemodule[filter]

\traceexternalfilters

\defineexternalfilter
   [ASY]
   [
     filter={asy -tex "context" -outformat pdf
             -outname \externalfilteroutputfile},
     output=\externalfilterbasefile.pdf,
     cache=yes,
     readcommand=\ReadImage,
   ]

\define[1]\ReadImage{\externalfigure[#1]}

\starttext

Testing if we can include an asymptote image
\startplacefigure[location={here}, title={An Asymptote figure}]
\startASY
import three;
size(8cm,0);
currentlight.background=black;

material White(real x, real y){
   return material(diffusepen=gray(.05+.1x+.3y),
                   emissivepen=gray(.05+.1x+.3y));
}

for(int y=0; y<=2; ++y)
    for(int x=0; x<3; ++x)
        draw(shift(2x,2y,0)*unitsphere,White(x,y));
\stopASY
\stopplacefigure

\stoptext

